Bug 556347 - Device mount policy mismatch across GNOME/GTK and KDE/QT4
Device mount policy mismatch across GNOME/GTK and KDE/QT4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-17 20:56 EST by Mostafa Afgani
Modified: 2013-03-05 23:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-18 11:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mostafa Afgani 2010-01-17 20:56:18 EST
Description of problem:
The authorisation policy across the two environments are inconsistent. Under GNOME/GTK apps, trying to mount/unmount non-system partitions results in a popup asking for authorisation. Once the root password is supplied, the partition is mounted with my UID and is accessible. When trying to do the same through a KDE/QT4 app such as Dolphin, no password/authorisation at all is needed and the volume is mounted with the root UID/GID.

Version-Release number of selected component (if applicable):
polkit-0.95-0.git20090913.3.fc12.x86_64
(not really sure if this is a polkit bug)

How reproducible:
Always

Steps to Reproduce:
1. Try to mount an unmounted volume using Dolphin -> no authorisation needed
2. Try doing the same through Nautilus -> root password needed

  
Actual results:
GNOME/GTK apps such as Nautilus ask for authorisation when mounting internal non-system volumes while KDE/QT4 apps such as Dolphin do not.

Expected results:
Consistent behaviour -- either they both ask for authorisation or they don't.
Comment 1 David Zeuthen 2010-01-18 11:47:05 EST
As you said already with your "not sure if this is a polkit bug" parenthetical remark, polkit is a generic authorization framework and is not concerned with how people choose to use it (if at all). Not sure where to file such bugs - it sounds to me like Dolphin isn't using DeviceKit-disks/udisks or polkit. I don't know. Anyway, closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.